Subject: [tcpm] Fwd: Re: proposal for additional experimental-use option kind numbers

From: Joe Touch <[email-masked]>
Date: Wed, 24 Aug 2011 18:03:15 -0700

Forwarded for Ted...

-------- Original Message --------
Subject: Re: [tcpm] proposal for additional experimental-use option kind 
numbers
Date: Wed, 24 Aug 2011 13:24:01 -0700
From: Ted Faber <[email-masked]>
To: Tim Shepard <[email-masked]>
CC: Joe Touch <[email-masked]>, [email-masked],        Fernando Gont 
<[email-masked]>

On Wed, Aug 24, 2011 at 04:02:18PM -0400, Tim Shepard wrote:
>
>
> > Seriously, ERRORS ARE ERRORS - they don't define the de-facto standards.
> > The standard is that these codepoints are not yet assigned, and those
> > who use them need to STOP.
>
> I don't believe the IETF or anyone else has any power to force anyone
> to stop distributing anything.
>
> In particular, anything that runs over IP can be done between
> consenting end systems.
>
>
> > And - IMO - we as a community need to stop giving those who ignore our
> > policies a mic at IETF meetings.
>
>
> You or anyone else are free to offer harsh criticism (which might be
> appropriate here), but I think it is important that the IETF remain a
> very open organization, with no particular overall policies on who
> gets mic time.  (Though I do not object to empowering WG chairs to run
> meetings in efficient ways.)
>
> And we should do whatever makes sense going forward, without the
> desire of some to punish or rebuke past bad behavior stopping us from
> doing whatever makes good sense going forward.
>
>
> BTW, with the way modern distributed version control systems work (and
> the way "the net" works in many ways these days) there's no good way
> to ever take anything back.  Git, for example, deliberately makes it
> difficult to rewrite history.  (It is not impossible, but everyone
> downstream can easily detect that upstream is attempting to change
> history.  And it would be an unusual event.  IMHO this is a very good
> thing.)
>
> Instead of insisting that code be taken down, the more constructive
> way forward is to offer a patch and convince as many people as
> possible that the patch should be adopted.  And if you don't want to
> develop the patch yourself, try to convince others to develop it, and
> distribute it, and adopt it.  I don't think telling people to STOP
> doing something that they find useful to do is likely to win them over.
>
> (And I'm not sure a patch is even needed here, there may be an easier
>  and simpler way forward.)

I generally hate to post "me, too," but I thought Tim's position was
both well thought out and well said.

-- 
Ted Faber
http://www.isi.edu/~faber           PGP: 
http://www.isi.edu/~faber/pubkeys.asc
Unexpected attachment on this mail? See 
http://www.isi.edu/~faber/FAQ.html#SIG